# -*- coding: utf-8 -*-
from turtle import *
from math import *
from random import *

#On insère la cible dans la fenêtre
fenetre = Screen()
fenetre.setup(700,700)
fenetre.bgpic("Cible.gif")

#Paramétrage de l'objet impact
impact=Turtle()
impact.speed(0)
impact.hideturtle()
impact.up()
tracer(100,0)   #Cette instruction permet d'accélérer les tracés

####################### LE TRAVAIL COMMENCE ICI #######################

def tirer():
  score=0   #Initialisation du score
  
  x=randint(-350,350)
  y=randint(-350,350)
  impact.goto(x,y)        #On se rend au point de coordonnées(x,y)
  impact.down()
  impact.dot(6)          #On trace un impact
  impact.up()

  #On calcule le score obtenu par ce tir
  OM=sqrt(x**2+y**2)
  if OM<=30:
    score=100
  if 30<OM<=100:
    score=20
  if 100<OM<=200:
    score=5
  if 200<OM<=300:
    score=2
  if OM>300:
    score=0
    
  return score

#On simule 1000 fois un tir
compteur=0     #Pour compter les tirs dans la zone à 100 points

for i in range(1000):
  score=tirer()    #le score de la fonction tirer() est stocké dans la variable score
  if score==100:   
    compteur=compteur+1
print(compteur)   #On affiche le compteur

########################################################
fenetre.mainloop()

